<?xml version="1.0" encoding="UTF-8" ?>  
<!-- 定义 XML 文件的版本和编码格式，这里指定使用 UTF-8 编码。 -->

<!DOCTYPE configuration PUBLIC "-//mybatis.org//DTD Config 3.0//EN" 
"http://mybatis.org/dtd/mybatis-3-config.dtd">  
<!-- 声明这个配置文件遵循 MyBatis 的 DTD (Document Type Definition)，用于验证 XML 文件的结构和规则。 -->

<configuration>  
<!-- 配置文件的根元素，所有的 MyBatis 配置信息都包含在这里面。 -->

	<!-- 别名定义 -->
	<typeAliases>  
		<!-- typeAliases 元素用于定义 Java 类型的别名，方便在 MyBatis 的映射文件中使用简短的类名。 -->
		
		<package name="com.itheima.po" />  
		<!-- 指定一个 Java 包，用来扫描该包下的所有 POJO 类，并为每个类自动生成别名。 -->
		<!-- 例如，如果包中有一个类 `User`，那么 MyBatis 会自动为它生成别名 `User`，可以在映射文件中直接使用 `User` 作为类型。 -->
		
	</typeAliases>  

</configuration>  
<!-- 结束配置文件的根元素 -->
